Name:         ipmitool
Summary:      Utility for IPMI control
Version:      1.8.13
Release:      1
License:      BSD
Group:        System Environment/Base
URL:          http://ipmitool.sourceforge.net/
Source0:      http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}-aix.patch

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: AIX-rpm >= 5.3.0.0
BuildRequires: gcc >= 4.2.3-2
BuildRequires: openssl-devel >= 1.0.1i-1

Requires:      AIX-rpm >= 5.3.0.0
Requires:      openssl >= 1.0.1i-1

%description
This package contains a utility for interfacing with devices that support
the Intelligent Platform Management Interface specification.  IPMI is
an open standard for machine health, inventory, and remote power control.

This utility can communicate with IPMI-enabled devices over the RMCP LAN
protocol defined in the IPMI specification.  IPMIv2 adds support for
encrypted LAN communications and remote Serial-over-LAN functionality.

It provides commands for reading the Sensor Data Repository (SDR) and
displaying sensor values, displaying the contents of the System Event
Log (SEL), printing Field Replaceable Unit (FRU) information, reading and
setting LAN configuration, and chassis power control.


%prep
%setup -q
%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC="gcc"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --disable-solaris-opt \
    --disable-internal-md5 \
    --enable-intf-lan \
    --enable-intf-lanplus \
    --disable-intf-serial \
    --disable-intf-free \
    --disable-intf-open \
    --disable-intf-imb \
    --disable-intf-lipmi \
    --disable-ipmishell \
    --enable-file-security

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin sbin
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc %{_datadir}/doc/%{name}
#%config(noreplace) /etc/sysconfig/ipmievd
%{_bindir}/*
#%{_sbindir}/*
%{_mandir}/man1/*
#%{_mandir}/man8/*
%{_datadir}/%{name}
/usr/bin/*
#/usr/sbin/*


%changelog
* Sat Apr 05 2014 Michael Perzl <michael@perzl.org> - 1.8.13-1
- first version for AIX V5.1 and higher
